from BaseDataMaintenance.model.ots.BaseModel import BaseModel
from tablestore import *
from BaseDataMaintenance.common.Utils import *
from bs4 import BeautifulSoup

class document(BaseModel):

    def __init__(self,_dict):
        for k,v in _dict.items():
            self.setValue(k,v,True)
        self.table_name = "document"
        self.prefixs = ["www.bidizhaobiao.com","bxkc.oss-cn-shanghai.aliyuncs.com"]

    def getPrimary_keys(self):
        return ["partitionkey","docid"]

    def delete_row(self,ots_client):
        raise NotImplementedError()

    def isLegalUrl(self,_url,_type):
        _flag = False
        for _prefix in self.prefixs:
            if _url.find(_prefix)>=0:
                _flag = True
        if _type==0:
            if _flag:
                return True
            else:
                return False
        else:
            if _flag:
                return False
            else:
                return True

    def updateAttachment(self,list_html):
        if len(list_html)>0:
            _text = '\n<div style="display:none;" class="richTextFetch">%s</div>'%("\n".join(list_html))
            _dochtmlcon = self.getProperties().get("dochtmlcon")
            if _dochtmlcon is not None:
                _soup = BeautifulSoup(_dochtmlcon,"lxml")
                _node = _soup.find("div",id="richTextFetch")
                if _node is not None:
                    _node.decompose()
                self.setValue("dochtmlcon",str(_soup)+_text)




